package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 基类：组件参数
 * @Reference :
 * @Author : hansen.ke
 * @CreateDate : 2018-12-17 11:39
 * @Modify:
 **/
@Data
public abstract class BaseComponetsParam implements Serializable {

    @ApiParam(value = "单据号")
    public String orderNo;

    @ApiParam(value = "单据类型")
    public String orderType;

    @ApiParam(value = "条码")
    public String sn;

    @ApiParam(value = "条码类型")
    public String snType;

    @ApiParam(value = "用户编号")
    public String userNo;

    @ApiParam(value = "设备编号")
    public String fixNo;

    @ApiParam(value = "工厂代码")
    public String organizeCode;
}
