package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 扫描条码获取参数实体【使用：入库上架】
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-12-21 14:53
 * @Modify:
 **/
@Data
public class InputSnModel {

    @ApiParam(value = "单号")
    public String orderNo;

    @ApiParam(value = "条码")
    private String sn;

    @ApiParam(value = "库位代码")
    public String locateNo;

    @ApiParam(value = "是否分组")
    public String isGroup;

    @ApiParam(value = "工厂代码")
    public String organizeCode;
}
