package cn.estsh.i3plus.pojo.model.wms;

import lombok.Data;

/**
 * @Description : 可选项模型
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-30 10:50
 * @Modify:
 **/
@Data
public class OptionModel {

    private String code;

    private String name;

    private Integer value;

    /**
     * 10=复选框，20=按钮，显示到查看历史左侧
     */
    private Integer type;

    /**
     * 当Type=20时，此值代表需要跳转的步骤，前台要把此值放到
     * OperationBean. barcode字段并反馈给后台，流程管家使用此值处理
     */
    private String content;
}
