package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsTrans;
import cn.estsh.i3plus.pojo.wms.bean.WmsTransCode;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * @Description : 交易代码方法表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2018-11-04 14:47
 * @Modify:
 **/
@Repository
public interface WmsTransCodeRepository extends BaseRepository<WmsTransCode, Long> {
    @Query("from WmsTransCode wtc where wtc.transCode =:code and wtc.isValid = 1")
    WmsTransCode findWmsTransCodeByCode(@Param("code") String code);
}
