package cn.estsh.i3plus.pojo.mes;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
@Entity
@Table(name="machine_factory")
@Api("工厂")
public class MachineFactory extends BaseBean {

    @Column(name="factory_code")
    @ApiParam("工厂代码")
    private String factoryCode;

    @Column(name="factory_name")
    @ApiParam("工厂名称")
    private String factoryName;

    public MachineFactory() {
    }

    public MachineFactory(String factoryCode, String factoryName) {
        this.factoryCode = factoryCode;
        this.factoryName = factoryName;
    }

    public String getFactoryCode() {
        return factoryCode;
    }

    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    public String getFactoryName() {
        return factoryName;
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    @Override
    public String toString() {
        return "MachineFactory{" +
                "factoryCode='" + factoryCode + '\'' +
                ", factoryName='" + factoryName + '\'' +
                ", id=" + id +
                ", createDate='" + createDatetime + '\'' +
                ", modifyDate='" + modifyDatetime + '\'' +
                '}';
    }
}
