package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 收货扫描条码组件 参数封装
 * @Reference :
 * @Author : hansen.ke
 * @CreateDate : 2018-12-17 11:50
 * @Modify:
 **/
@Data
public class TransSnModle extends BaseComponetsParam{

    @ApiParam(value = "移动单号")
    public String moveNo;

    @ApiParam(value = "交易类型代码")
    public String transTypeCode;

    // 1:是，2：否
    @ApiParam(value = "是否分组")
    public int isGroup;

}
