package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 关系-表达式与触发器
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-14 13:28
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_REF_TASK_CYCLE_PLAN")
@Api(value="关系-任务周期与计划",description = "关系-任务周期与计划")
public class SysRefTaskCyclePlan extends BaseBean {

    @Column(name="TASK_CYCLE_ID")
    @ApiParam(value ="任务周期id" ,example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long taskCycleId;

    @Column(name="TASK_PLAN_NAME")
    @ApiParam(value ="任务计划名称")
    private String taskPlanName;

    @Column(name="TASK_PLAN_GROUP_NAME")
    @ApiParam(value ="任务计划组名称")
    private String taskPlanGroupName;
}
