package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 工厂仓库
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_WAREHOUSE")
@Api("工厂仓库信息")
public class WareHouse extends BaseBean {

    @Column(name="CODE")
    @ApiParam("仓库代码")
    public String code;

    @Column(name="NAME")
    @ApiParam("仓库名称")
    public String name;

    @Column(name="ADDRESS")
    @ApiParam("仓库地址")
    public String address;

}
