package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 作业流程
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-23 13:13
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_ACTION_GROUP")
@Api("作业流程")
public class WmsActionGroup extends BaseBean {

    @Column(name="AG_NAME_E")
    @ApiParam("英文流程名称")
    private String agNameE;

    @Column(name="AG_DESC_E")
    @ApiParam("英文流程描述")
    private String agDescE;

    @Column(name="AG_NAME_C")
    @ApiParam("中文流程名称")
    private String agNameC;

    @Column(name="AG_DESC_C")
    @ApiParam("中文流程描述")
    private String agDescC;

}
